package com.jeeplus.modules.sg.report.web;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.modules.sg.report.entity.SgReport;
import com.jeeplus.modules.sg.report.service.ReportService;
import com.jeeplus.modules.test.manytomany.entity.StudentCourse;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Controller
@RequestMapping(value = "${adminPath}/sg/report")
public class ReportController {
    @Autowired
    private ReportService reportService;


    /**
     * 项目报表页面
     */
    @RequestMapping(value = {"list", ""})
    public String list(SgReport sgReport, Model model) {
        model.addAttribute("sgReport", sgReport);
        List<SgReport> list = reportService.findData();
        List<SgReport> list1 = reportService.findList(sgReport);
        model.addAttribute("list",list);
        model.addAttribute("list1",list1);
        model.addAttribute("dataURL", "/echarts/bar/sample3/option");
        return "modules/sg/report/reportList";
    }

    /**
     * 项目报表数据
     */
    @ResponseBody
    @RequestMapping(value = "data")
    public Map<String, Object> data(SgReport sgReport, HttpServletRequest request, HttpServletResponse response, Model model) {
        Map<String, Object> map = new HashMap<String, Object>();
        List<SgReport> list = reportService.findData();
        map.put("rows", list);
        return map;
    }

}
